Skip to content
No description, website, or topics provided.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
bin
example
runners
.gitignore
LICENSE
README.md
package-lock.json
package.json

README.md

Elm Markup CLI

Check your elm-markup files (*.emu) for errors using any elm-markup documents you have defined in your elm code.

It requires elm-markup version 3.0 or later.

Installation

npm install -g elm-markup

Usage

# Find exposed `Mark.Document` and use them to parse .emu files.
# Print errors to the console by default.
elm-markup

# print version of Elm Markup CLI
elm-markup --version

# --report 
# Change the report format.
# options
#  console (default) - print in a human readable format.
#  json - encode every error in json and log to stdout 
elm-markup --report=json

Previewing Documents

This packge doesn't handle previewing what a document would look like because that's probably better handled by your elm application and a tool like elm-live

You can’t perform that action at this time.